Summary: RPM installer/updater
Name: yum
Version: 2.0.7
Release: 1.PU_IAS.11
License: GPL
Group: System Environment/Base
Source0: http://linux.duke.edu/projects/yum/download/2.0/yum-%{version}.tar.gz
Source1: yum.conf.fedora
Source2: yum.conf.PU_IAS
Source3: MATHPU-GPG-KEY
Patch1: yum-pu-ondefault.patch
Patch2: yum-2.0.7-em64t.patch
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
BuildRequires: python
BuildRequires: gettext
Obsoletes: yum-phoebe
Requires: python, rpm-python, rpm >= 0:4.1.1, libxml2-python
Prereq: /sbin/chkconfig, /sbin/service

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q
%patch1 -p1 -b .ondefault
%patch2 -p1 -b .em64tfix
cp %{SOURCE3} .

%build
%configure 
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cp -f %{SOURCE2} $RPM_BUILD_ROOT/etc/yum.conf
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 700 etc/puyum $RPM_BUILD_ROOT/usr/sbin/puyum
mkdir -p $RPM_BUILD_ROOT/usr/share/PU_IAS
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/PU_IAS

%find_lang %{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add yum
/sbin/service yum condrestart >> /dev/null
exit 0


%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0




%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL MATHPU-GPG-KEY ChangeLog
%config(noreplace) %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config %{_sysconfdir}/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/yum/*
%{_bindir}/yum
%{_bindir}/yum-arch
/var/cache/yum
%{_mandir}/man*/*
/usr/sbin/puyum
%dir /usr/share/PU_IAS
/usr/share/PU_IAS/*

%changelog
* Wed Jun 13 2007 Josko Plazonic <plazonic@math.princeton.edu>
- new obsoletes - for pidgin this time

* Tue Jul 25 2006 Josko Plazonic <plazonic@math.princeton.edu>
- add checks for obsoletes for ethereal to wireshark, iscsi
  to iscsi-initiator-tools and mozilla to seamonkey
- remove pvm fix - RH issued a new pvm rpm that fixes this
  issue

* Mon May 15 2006 Josko Plazonic <plazonic@math.princeton.edu>
- fix a problem with pvm update - due to symlink vs dir update
  issue in pvm update we have to remove pvm first and then 
  install it - on i386 architecture only

* Mon Nov 21 2005 Josko Plazonic <plazonic@math.princeton.edu>
- fix a problem with some machines where 2 versions of librsvg2
  are installed and new gtk2 conflicts with the old one, just
  remove the old librsvg2 but only in db

* Sun Mar 21 2004 Josko Plazonic <plazonic@math.princeton.edu>
- upgrade to latest version, 2.0.6, it oboletes the need for 
  hdlist patch

* Fri Dec 05 2003 Josko Plazonic <plazonic@math.princeton.edu>
- make the yum default to on
- make the default repository local one
- add my hdlist patch so that there is no initial download of
  headers - use comps rpm and headers in there

* Wed Oct 29 2003 Elliot Lee <sopwith@redhat.com> 2.0.4-2
- Stick in a new yum.conf for FC1.

* Mon Oct 20 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- new upstream release 2.0.4

* Tue Sep 16 2003 Jeff Johnson <jbj@redhat.com> 2.0.3-1
- update to 2.0.3
- drop yum-init patch, merged into 2.0.3.
- change rpm version requirement to 4.1.1.

* Thu Jul 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- change init script to more current RHL style

* Wed Jul 23 2003 Nalin Dahyabhai <nalin@redhat.com>
- require libxml2-python, because yum does

* Thu Jul 17 2003 Jeff Johnson <jbj@redhat.com> 2.0-1
- update to 2.0.

* Thu May 22 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030522
- update to snapshot.

* Mon May 12 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030512
- create.
